<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo( 'charset' ); ?>" />

<title><?php if (is_home()) { ?>Home - <?php } ?><?php wp_title(' '); ?><?php if(wp_title(' ', false)) { echo ' - '; } ?> <?php bloginfo('name'); ?></title>

<?php # important meta tags ?>
<meta name="description" content="<?php if ( is_single() ) { wp_title(''); echo ' - '; } elseif ( is_page() ) { wp_title(''); echo ' - '; } bloginfo('description'); ?>" />
<meta name="keywords" content="" />

<?php # further meta tags ?>
<meta name="language" content="en" />
<meta name="content-language" content="en" />
<meta name="author" content="Frank Pfabigan - http://seo-scout.org/" />
<meta name="publisher" content="<?php bloginfo('name'); ?>" />

<?php # geo data, dc.tags: put in YOUR geo-location! (see readme.txt) ?>
<!--
<meta name="geo.placename" content="" />
<meta name="geo.position" content="" />
<meta name="geo.region" content="" />
<meta name="ICBM" content="" />
<meta name="DC.title" content="Amazona WP-Theme" />
-->

<?php
// load amazona style-sheets (based on blueprint grid css)
// ie stylesheet is loaded conditionally just beneath wp_head()
$style_url = "/wp-content/themes/amazona/";
wp_enqueue_style( "amazona", $style_url . "style.css", array(), "2", "screen,projection" );
wp_enqueue_style( "amazona-print", $style_url . "lib/style/blueprint/print.css", array( "amazona" ), "2", "print" );
?>

<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="Shortcut Icon" type="image/x-icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />
<link rel="apple-touch-icon" type="image/x-icon" href="<?php bloginfo('url'); ?>/apple-touch-icon.png"/>

<?php # this will add this blog to the "search-sources" box in firefox, be sure to customize it ?>
<link rel="search" type="application/opensearchdescription+xml" title="<?php bloginfo('name'); ?>" href="<?php bloginfo('stylesheet_directory'); ?>/os.xml" />

<?php
// set javascripts for amazona, let wordpress do the work
$script_url = "/wp-content/themes/amazona/lib/";
wp_enqueue_script( "jquery" );
wp_enqueue_script( "jquery-ui-core" );
wp_enqueue_script( "jquery-ui-tabs" );
wp_enqueue_script( "superfish", $script_url . "style/navigation/superfish/js/superfish.js", array( "jquery" ), "1.0" );
wp_enqueue_script( "jquery-corner", $script_url . "js/jquery.corner.js", array( "jquery" ), "1.0" );
?>

<?php wp_head( ); ?>
<!--[if IE]><link rel="stylesheet" href="<?php bloginfo( 'template_directory' ); ?>/lib/style/blueprint/ie.css" type="text/css" media="screen, projection" /><![endif]-->

<script type="text/javascript">
/* <![CDATA[ */
jQuery(document).ready(function( ) {

	jQuery("ul.sf-menu").superfish( );
	
	jQuery("#metamenu").corner( "7px top" );
	jQuery("#pagenav").corner( "7px tl" );
	jQuery("#catmenu").corner( "7px top" );
	jQuery("#searchbox-wrapper").corner( "7px tl" );
	jQuery("#searchbox").corner( "4px" );
	jQuery("#themebox").corner( "7px tl" );
	jQuery("#sidebar").corner( "12px" );
	jQuery(".sidebar-widget").corner( "12px" );
	jQuery(".announce-widget").corner( "12px" );
	jQuery(".pagenav").corner( "12px" );
	jQuery(".archivenav").corner( "12px" );
	jQuery(".categories").corner( "12px" );
	jQuery(".linkcat").corner( "12px" );
	jQuery(".meta").corner( "12px" );
});
/* ]]> */
</script>
</head>

<body>
<div class="container">

	<div id="pagehead" class="span-24 last">
		<div id="title" class="span-7">
			<div id="blogname">
				<?php
					$blogname = get_bloginfo( 'name' );
					
					if( strlen( $blogname ) > 14 )
					{
						$blogname_style = "bn-small";
					}
					else
					{
						$blogname_style = "bn-big";
					}
				?>
				<h1 class="<?php echo $blogname_style; ?>"><a href="<?php echo bloginfo( 'wpurl' ); ?>/" title="<?php echo $blogname; ?>"><?php echo $blogname; ?></a></h1>
			</div>
		</div>
		<div id="description" class="span-17 last">
			<p id="description-text"><?php bloginfo( 'description' ); ?></p>
		</div>
	</div>
	
	<div id="pagenav-wrapper" class="span-24 last">
		<?php include( "lib/navigation.php" ); ?>
	</div>
	
	<div id="breadcrumb" class="span-24 last">
		<?php
		echo "&nbsp;&nbsp;";
		if( is_category( ))	{ echo "You are browsing posts in category: " . get_category_parents( $cat, TRUE, ' &raquo; ' ); }
		if( is_single( ))	{ single_post_title( "You are watching post " ); echo " in categories: "; foreach(( get_the_category( )) as $category ) { echo $category->cat_name . ' &raquo; '; }}
		if( is_page( ))		{ single_post_title( "You are watching page " ); }
		else { bloginfo( 'blogname' ); echo " | "; bloginfo( 'description' ); }
		?>
	</div>
